    NAME
         sgecommdcntl - Grid Engine communication agent control  com-
         mand

    SYNOPSIS
         sgecommdcntl [ -d | -k | -t level ] [ -gid commprocname ]  [
         -h[elp] ] [ -p port ] [ -S ] [ -unreg commprocname id ]

    DESCRIPTION
         sgecommdcntl  can  be  used  to  control  the  behavior   of
         sge_commd(8)  or  to  retrieve  information  from  a running
         sge_commd(8).

    OPTIONS
         -d   Dump internal structures of  the  running  sge_commd(8)
              process   to   /tmp/commd/commd.dump.   The   directory
              /tmp/commd must exist and sge_commd(8) must have  write
              access to it. The request is ignored otherwise.
              This option is mainly intended for debugging  purposes.
              The  functionality of the addressed sge_commd(8) is not
              affected.

         -k   Kill the addressed  sge_commd(8).   Pending  communica-
              tions  at  the time of a kill request will be discarded
              immediately, yet the shutdown of  a  sge_commd(8)  will
              not leave the processes being connected to the aborting
              process in an inconsistent state.

         -t level
              sgecommdcntl establishes a connection  to  sge_commd(8)
              and  displays continuous trace output corresponding the
              trace level specified by level. The output consists  of
              a  subset of the trace output displayed if sge_commd(8)
              is invoked with the -ll option.
              Currently the only trace level being supported is 255.

         -gid commprocname
              Retrieve communication process identification number of
              commprocname.   Grid  Engine components which enroll to
              sge_commd(8) to be able to communicate with other  Grid
              Engine processes are registered by sge_commd(8) with an
              unique identification consisting of a name and an iden-
              tification number. The identification name is identical
              with the  name  of  the  Grid  Engine  component  (e.g.
              sge_qmaster  for  sge_qmaster(8)).   The identification
              number can be retrieved by the -gid option.

         -help
              Prints  a listing of all options.

         -p commdport
              Port  number  to  be   used   in   order   to   address
              sge_commd(8).

         -S   Forces  secure  ports  to  be  used  for  communication
              between  sge_commds  and between other Grid Engine com-
              ponents and the  sge_commds.  This  requires  all  Grid
              Engine  daemons  to be started with root permission and
              the client programs to be configured set-uid  root.  In
              turn,  it  ensures  that  unauthorized communication is
              prohibited for non-root accounts.

         -unreg commprocname id
              Unregister   Grid   Engine    component    commprocname
              registered  with  Id  id  to sge_commd(8) (see the -gid
              above for a description of commprocname and id).
              To unregister a Grid Engine component from sge_commd(8)
              can  become  necessary  if a Grid Engine daemon such as
              sge_qmaster(8),  sge_execd(8)   or   sge_schedd(8)   is
              aborted in an uncontrolled fashion (e.g. by sending the
              signal SIGKILL via  kill(1))  and  sge_commd(8)  denies
              restart of that component with the message error enrol-
              ling to commd: COMMPROC ALREADY REGISTERED.
              The registration facility of sge_commd(8)  is  used  to
              avoid redundant Grid Engine daemons running on the same
              host. If a Grid Engine component is aborted but  unable
              to  unregister  from  sge_commd(8)  the registration is
              kept alive until a time-out of several  minutes  passes
              or  until  the  communication  process  is unregistered
              manually.

    ENVIRONMENTAL VARIABLES
         COMMD_PORT     If set,  specifies  the  tcp  port  on  which
                        sgecommdcntl  is  expected to listen for com-
                        munication requests.  Most installations will
                        use  a  services  map entry instead to define
                        that port.

         COMMD_HOST     If set, specifies the host on which the  par-
                        ticular  sge_commd to be used for Grid Engine
                        communication of  sgecommdcntl  resides.  Per
                        default the local host is used.

    SEE ALSO
         sge_intro(1),  sge_commd(8),  sge_execd(8),  sge_qmaster(8),
         sge_schedd(8).

    COPYRIGHT
         See sge_intro(1) for a full statement of rights and  permis-
         sions.